// caffe.hpp is the header file that you need to include in your code. It wraps
// all the internal caffe header files into one for simpler inclusion.

#ifndef CAFFE_CAFFE_HPP_
#define CAFFE_CAFFE_HPP_

#include "caffe/blob.hpp"
#include "caffe/common.hpp"
#include "caffe/filler.hpp"
#include "caffe/layer.hpp"
#include "caffe/layer_factory.hpp"
#include "caffe/net.hpp"
#include "caffe/parallel.hpp"
#include "caffe/proto/caffe.pb.h"
#include "caffe/solver.hpp"
#include "caffe/solver_factory.hpp"
#include "caffe/util/benchmark.hpp"
#include "caffe/util/io.hpp"
#include "caffe/util/upgrade_proto.hpp"

struct ddl_fcn_handles_struct {
   int (*ddl_init)(char *);
   int (*ddl_finalize)(void);
   int (*ddl_rank)(int *);
   int (*ddl_size)(int *);
   int (*ddl_local_rank)(int *);
   int (*ddl_allreduce)(void *, size_t, int, int);
   int (*ddl_bcast)(void *, int, int, int);
};

#endif  // CAFFE_CAFFE_HPP_
